.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptPreload.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptPreload:

VisualScriptPreload
===================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Creates a new :ref:`Resource<class_resource>` or loads one from the filesystem.

Member Variables
----------------

  .. _class_VisualScriptPreload_resource:

- :ref:`Resource<class_resource>` **resource** - The :ref:`Resource<class_resource>` to load.


Description
-----------

Creates a new :ref:`Resource<class_resource>` or loads one from the filesystem.

**Input Ports:**

none

**Output Ports:**

- Data (object): ``res``

